%define _buildid .7

%global libexpat_version %(pkg-config --modversion expat 2>/dev/null || echo '2.0.1')

#
# Copyright (C) 2011-2014 Red Hat, Inc
#
Summary: Device-mapper thin provisioning tools
Name: device-mapper-persistent-data
Version: 0.3.2
Release: 1%{?_buildid}%{?dist}
License: GPLv3+
Group: System Environment/Base
URL: https://github.com/jthornber/thin-provisioning-tools
Source0: https://github.com/jthornber/thin-provisioning-tools/archive/thin-provisioning-tools-v%{version}.tar.bz2
# Source1: https://github.com/jthornber/thin-provisioning-tools/archive/v%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0: device-mapper-persistent-data-0.3.2-1-fix_typename.patch
BuildRequires: autoconf, expat-devel, libstdc++-devel, boost-devel
Requires: expat >= %{libexpat_version}

%description
thin-provisioning-tools contains check,dump,restore,repair,rmap
and metadata_size tools to manage device-mapper thin provisioning
target metadata devices; cache check,dump,restore and repair tools
to manage device-mapper cache metadata devices are included and
era check, dump and invalidate to manage snapshot eras

%prep
%setup -q -n thin-provisioning-tools-%{version}
%patch0 -p1
echo %{version}-%{release} > VERSION

%build
autoconf
%configure --with-optimisation=
make %{?_smp_mflags} V=

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} MANDIR=%{_mandir} install

%clean
rm -rf %{buildroot}

%files
%doc COPYING README.md
%{_mandir}/man8/cache_check.8.gz
%{_mandir}/man8/cache_dump.8.gz
%{_mandir}/man8/cache_restore.8.gz
%{_mandir}/man8/cache_repair.8.gz
%{_mandir}/man8/thin_check.8.gz
%{_mandir}/man8/thin_dump.8.gz
%{_mandir}/man8/thin_metadata_size.8.gz
%{_mandir}/man8/thin_repair.8.gz
%{_mandir}/man8/thin_restore.8.gz
%{_mandir}/man8/thin_rmap.8.gz
%{_sbindir}/cache_check
%{_sbindir}/cache_dump
%{_sbindir}/cache_restore
%{_sbindir}/cache_repair
%{_sbindir}/era_check
%{_sbindir}/era_dump
%{_sbindir}/era_invalidate
%{_sbindir}/thin_check
%{_sbindir}/thin_dump
%{_sbindir}/thin_metadata_size
%{_sbindir}/thin_repair
%{_sbindir}/thin_restore
%{_sbindir}/thin_rmap

%changelog
* Thu Mar 12 2015 Rodrigo Novo <rodarvus@amazon.de>
- Fix for expat 2.1.0

* Tue Oct 14 2014 Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/device-mapper-persistent-data-0.3.2-1.el6

* Wed Sep 10 2014 Rodrigo Novo <rodarvus@amazon.com>
- Added back cache-tools

* Mon May 5 2014 Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/device-mapper-persistent-data-0.2.8-4.el6_5

* Thu Apr 3 2014 Heinz Mauelshagen <heinzm@redhat.com> - 0.3.2-1
- New upstream version 0.3.2 introducing era_{check,dump,invalidate}
  Resolves: #1035990 #1084081

* Thu Jan 30 2014 Heinz Mauelshagen <heinzm@redhat.com> - 0.2.8-3
Resolves: #1035990

* Thu Nov 21 2013 Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/device-mapper-persistent-data-0.2.8-2.el6

* Mon Oct 21 2013 Heinz Mauelshagen <heinzm@redhat.com> - 0.2.8-2
- New upstream version 0.2.8 introducing cache_{check,dump,repair,restore}; missing patch
  Resolves: #1019217

* Fri Oct 18 2013 Heinz Mauelshagen <heinzm@redhat.com> - 0.2.8-1
- New upstream version 0.2.8 introducing cache_{check,dump,repair,restore}
  Resolves: #1019217

* Wed Sep 17 2012 Heinz Mauelshagen <heinzm@redhat.com> - 0.2.7-1
- New upstream version 0.2.7
  Resolves: #1006059

* Mon Aug 12 2012 Heinz Mauelshagen <heinzm@redhat.com> - 0.2.6-1
- compile errors on RHEL-6.4 fixed
  Resolves: #814790

* Thu Aug 08 2012 Heinz Mauelshagen <heinzm@redhat.com> - 0.2.6-1
- New upstream version 0.2.6; working around build system providing
  old boost-devel-1.41.0-17.el6_4 with constraints
  Resolves: #814790

* Thu Aug 08 2012 Heinz Mauelshagen <heinzm@redhat.com> - 0.2.5-2
- New upstream version 0.2.5
- specfile fix
  Resolves: #814790

* Thu Aug 08 2012 Heinz Mauelshagen <heinzm@redhat.com> - 0.2.5-1
- New upstream version 0.2.5
  Resolves: #814790

* Thu Jun 21 2012 Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/device-mapper-persistent-data-0.1.4-1.el6
- setup complete for package device-mapper-persistent-data

* Thu Mar 15 2012 Milan Broz <mbroz@redhat.com> - 0.1.4-1
- Fix thin_check man page (add -q option).
- Install utilities in /usr/sbin.
  Resolves: #803204 #803144

* Tue Mar 13 2012 Milan Broz <mbroz@redhat.com> - 0.1.2-1
- New upstream version.
  Resolves: #802242 #802244

* Fri Mar 02 2012 Milan Broz <mbroz@redhat.com> - 0.1.0-1
- New upstream version.
  Resolves: #796114 #760614

* Wed Dec 21 2011 Milan Broz <mbroz@redhat.com> - 0.0.1-1
- Initial version
